[Snort-devel] linux/sparc BUS ERROR [more info]

User BALGAA System Engineer balgaa at ...1049...
Tue Jan 15 18:28:05 EST 2002


Hello,

I meet same problem on Redhat Linux-6.2 on Ultra Sparc.
Redhat Linux include: gcc -v
Reading specs from /usr/lib/gcc-lib/sparc-redhat-linux/egcs-2.91.66/specs
gcc version egcs-2.91.66 19990314/Linux (egcs-1.1.2 release)

I tried to install gcc-3.0.3 from source tar ball, but I got error message
during compilation gcc.

There is any gcc-3.0.3 binary for Redhat Linux-6.2 on Ultra Sparc?
How can I to get it?

Thanks,
Balgaa


On Tue, 15 Jan 2002, Roelof JT Jonkman wrote:

> You might want to try gcc 3.0.3 (compile flags -mcpu=v9 -m32)
>
> I've had reasonable luck with that on solaris. I'm not sure
> how well adapted linux is to ultrasparcs....
>
> I quickly glanced at the code, and I can't see an
> obvious alignment problem. So a far out guess
> is that p->iph->ip_src is pointing at an unaligned
> boundary. (print p->iph->ip_src in gdb...)
> ip_src is a struct in_addr, so odds are that needs to
> be at an 8 byte aligned boundary, it may fly if it's
> at a 4 byte boundary.. But my guess is that this will
> go away when you change compilers. 2.96 didn't
> even compile linux kernels right at some point, so
> 2.96 is suspect.
>
> roel
> Security Engineer
> http://wwww.SiliconDefense.com
>
>
> _______________________________________________
> Snort-devel mailing list
> Snort-devel at lists.sourceforge.net
> https://lists.sourceforge.net/lists/listinfo/snort-devel
>





More information about the Snort-devel mailing list